/*
** Copyright:  Michael S. Engber, 1994. All Rights Reserved.
**
** StorePart.f
**
** Creates a store part containing a soup for Data.f
**
*/

Load(Home & ":Data.f");

call func()
begin
  local store := GetStores()[0];
  
  store:SetName("StorePartStore");
  
  local soup := store:CreateSoup("StorePartSoup",[{structure: 'slot, path: 'slot2, type: 'string}]);
  
  local i,elt;
  foreach i,elt in gData do soup:Add(elt);
  
end with ();

/*

#parse this file's name
begin
	Set 1 ""
	Set 2 ""
	Set 3 ""
	Set 4 ""
	Evaluate "{Active}" =~ /((:)*)1(()2.()3)0,1()4/
end > Dev:Null
set activePath "{{1}}"
set activeFn   "{{2}}{{4}}"
set activeExt  "{{3}}"


BuildPackage  -name "StorePart:Avarice" "{activePath}{activeFn}.pkg" "{active}" -type soup
# BuildPackage starts: 3:01:27 PM
#  built 'soup': "HD:DataStorage:StorePart:ARM-Objects:StorePart.mpt" -info "StorePart" 
#
#       name: "StorePart:Avarice"
#    version: 1
#  copyright: " Copyright Apple Computer Inc., 1994. All Rights Reserved."
#      flags: 
#       size: 35012 bytes uncompressed
# Build of "HD:DataStorage:StorePart:StorePart.pkg" complete at 3:01:47 PM

 */